%global enable_tests 1
%global module_name typedarray

Name:           nodejs-%{module_name}
Version:        0.0.6
Release:        1%{?dist}
Summary:        TypedArray polyfill for old browsers

License:        MIT
URL:            https://github.com/substack/typedarray
Source0:        http://registry.npmjs.org/%{module_name}/-/%{module_name}-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tape)
%endif

%description
%{summary}.

%prep
%setup -q -n package
rm -rf node_modules

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
tape test/*.js test/server/*.js
%endif

%files
%doc readme.markdown LICENSE example
%{nodejs_sitelib}/%{module_name}

%changelog
* Mon Dec 22 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.0.6-1
- Initial packaging

